classification
Title: Shadow Password Support Module
Type: Stage:
Components: Extension Modules Versions: Python 2.5
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: akuchling Nosy List: akuchling, ellinghaus, irmen, loewis, nnorwitz
Priority: normal Keywords: patch

Created on 2002-07-10 03:13 by ellinghaus, last changed 2005-01-23 09:28 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
spwdmodule.c ellinghaus, 2002-07-10 03:13
spwd_patch.txt irmen, 2005-01-20 21:25 New patch: the patches needed
spwdmodule.c irmen, 2005-01-20 21:26 New patch: Modules/spwdmodule.c
libspwd.tex irmen, 2005-01-20 21:27 New patch: Doc/lib/libspwd.tex
Messages (9)
msg40532 - (view) Author: Lance Ellinghaus (ellinghaus) Date: 2002-07-10 03:13
Attached is the spwd module. This module provides 
support for Shadow Passwords on Solaris 2.8. This 
compliments the nis and pwd modules. This is the only 
way to gain access to the encrypted passwords when 
using shadow passwords on Solaris.
msg40533 - (view) Author: Neal Norwitz (nnorwitz) * (Python committer) Date: 2003-04-12 01:22
Logged In: YES 
user_id=33168

There doesn't seem to be much interest in this patch.  I
don't think it reaches a wide-enough audience, therefore,
I'm rejecting it.  If there is broader support (many people
are interested in seeing shadow password support in the
core), we can add it later.  I think it would be best to
provide this as a third-party module.
msg40534 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2004-01-13 15:32
Logged In: YES 
user_id=11375

As it happens, I was hunting for Python shadow password support
and came across this patch.    The module isn't Solaris-specific, and 
would be necessary on Linux, too.
However, the interface for getting shadow passwords doesn't seem 
to be standardized; see http://www.unixpapa.com/incnote/passwd.
html for a list.  (The Single Unix spec doesn't seem to mention 
shadow passwords.)

One question is whether we want a new module for this, or if the 
functions should be in the existing pwd module.


msg40535 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2004-08-22 16:38
Logged In: YES 
user_id=21627

If we eventually want to support all the shadow passwort
APIs, we should make this a separate module - with that
approach, building spwd can might fail without causing a
failure to compile pwd.

Unfortunately, the patch is still incomplete: there is no
change to setup.py, and no documentation change. Are there
any volunteers interesting in completing it? If not, I'm
going to close it again. Anybody hunting for such a module
will still be able to find it.
msg40536 - (view) Author: Irmen de Jong (irmen) Date: 2005-01-16 15:48
Logged In: YES 
user_id=129426

I would be happy if this module in one form or another makes
it into  Python; I recently wanted to do user authentication
based on unix passwords but the regular passwd functions
cannot retrieve the password to check against).
As an aside, how does PAM relate to this? I fooled around a
bit with a python pam module, but simply didn't understand
it and couldn't get it to work properly.
msg40537 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2005-01-17 06:02
Logged In: YES 
user_id=21627

irmen, are you willing to complete this patch?
msg40538 - (view) Author: Irmen de Jong (irmen) Date: 2005-01-17 21:03
Logged In: YES 
user_id=129426

Martin, yes I will give it a try.
msg40539 - (view) Author: Irmen de Jong (irmen) Date: 2005-01-20 21:31
Logged In: YES 
user_id=129426

I've attached my new version of the patch (files are marked
New Patch). I've updated the extension module itself to
'modern' standards (i.e. making it look as similar to
pwdmodule.c as possible, including the tuple-like result
object).
I'm not too sure how this module compiles on different
platforms, but I've added preprocessor checks for the
relevant system calls.
This module needs to be tested on different systems (I've
developed it on Linux).
There is no regression test yet. 
msg40540 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2005-01-23 09:28
Logged In: YES 
user_id=21627

Thanks for the patch. Applied as

configure 1.468
configure.in 1.481
pyconfig.h.in 1.106
setup.py 1.212
Makefile.deps 1.123
lib.tex 1.237
libpwd.tex 1.15
libspwd.tex 1.1
NEWS 1.1231
Setup.dist 1.49
spwdmodule.c 1.1
History
Date User Action Args
2002-07-10 03:13:17ellinghauscreate